%global debug_package %{nil}
Name:       nbde-lab-ec2
Version:    0.1
Release:    2%{?dist}
Summary:    Provide SSH access to initramfs early user space
URL:        https://github.com/gsauthof
License:    GPLv3+
#Source:     https://github.com/gsauthof/dracut-sshd/archive/dracut-sshd-0.5.1-2.tar.gz
Source:     nbde-lab-ec2-0.1.tar.gz
BuildArch:  x86_64
Requires:   dracut-network
Requires:   openssh-server
Requires:   grub2-tools
Requires:   e2fsprogs
Requires:   parted
Requires:   sed
Requires:   systemd-udev

Patch0001: 0001-NBDE-lab.patch

%description
This package is built on top of https://github.com/gsauthof/dracut-sshd/
version 0.5.1-2. It basically adds sshd into the initramfs using a specific
key, as well as converts a default RHEL 8.1 EC2 VM into a VM with
LUKS-encrypted root volume.

%prep
%autosetup -p1

%build
# nothing to do here

%install
mkdir -p %{buildroot}/usr/lib/dracut/modules.d
cp -r 99nbde-ec2 %{buildroot}/usr/lib/dracut/modules.d/

%files
%{_prefix}/lib/dracut/modules.d/99nbde-ec2/module-setup.sh
%{_prefix}/lib/dracut/modules.d/99nbde-ec2/sshd.service
%{_prefix}/lib/dracut/modules.d/99nbde-ec2/sshd_config

%changelog
* Fri Mar 06 2020 Sergio Correia <scorreia@redhat.com> 0.1-1
- Build for RHEL 8.1, for NBDE lab

* Sat Jan 26 2019 Georg Sauthoff <mail@gms.tf> - 0.4-1
- initial packaging
